Yaf_Request_Abstract::getRequestUri
Yaf_Request_Abstract::isCli
Yaf_Request_Abstract
PHP Manual

# Yaf_Request_Abstract::getServer

(Yaf >=1.0.0)

Yaf_Request_Abstract::getServer — Retrieve SERVER variable

### Description

public void Yaf_Request_Abstract::getServer ( string `$name` [, string `$default` ] )

Retrieve SERVER variable

### Parameters

`name`

  the variable name

`default`

  if this parameter is provide, this will be returned if the variable can not be found

### Return Values

### See Also

- Yaf_Request_Abstract::getParam
- Yaf_Request_Abstract::getEnv

Yaf_Request_Abstract::getRequestUri
Yaf_Request_Abstract::isCli
Yaf_Request_Abstract
PHP Manual